var app = {
    // Application Constructor
    initialize: function() {
        document.addEventListener('deviceready', this.onDeviceReady.bind(this), false);
    },

    // deviceready Event Handler
    //
    // Bind any cordova events here. Common events are:
    // 'pause', 'resume', etc.
    onDeviceReady: function() {
        sendShareMetaToNative();
    }
};

app.initialize();

function getMetaValue(k){
    var metas=document.getElementsByTagName('meta');
    var result;
    for(var i=0;i<metas.length;i++){
        var name=metas[i].getAttribute('name');
        var content=metas[i].getAttribute('content');
        if(name==k){
            result=content;
            break;
        }
    }
    return result;
}

function sendShareMetaToNative(){
    var content = getMetaValue('share');
    navigator.general.sendMate('share',content);
}
