window.wtsAppBridge.onLoadFinish();

function findImgSetClick(){
    var imgs = document.getElementsByTagName("img");
    var doms = new Array();
    var a = 0;
    for(var i = 0;i< imgs.length;i++){
        var imgParent = imgs[i].parentNode;
        console.log(imgParent.nodeName);
        if(imgParent.nodeName.toLowerCase() === "a"){
            continue;
        }
        doms[a] = imgs[i];
        imgs[i].onclick = (function(index){
            return function(){
                sendGallery(index,doms);
            }
        })(a)
        a ++;
    }
}

function sendGallery(index,imgs) {
    var urls  = new Array();
    var rects = new Array();
    for(var i = 0;i< imgs.length;i++){
        var img = imgs[i];
        urls[i] = img.src;
        var offsetLeft = getAbsoluteLeft(img);
        var offsetTop = getAbsoluteTop(img);
        rects[i] = {left:offsetLeft,
                    top:offsetTop,
                    right:offsetLeft + img.width,
                    bottom:offsetTop + img.height};
    }
    window.wtsAppBridge.showGallery(index,urls,rects,document.body.clientWidth]);
}

function getAbsoluteLeft(element){
	oLeft = element.offsetLeft;
	while(element.offsetParent != null){
		oParent = element.offsetParent;
		oLeft += oParent.offsetLeft;
		element = oParent;
	}
	return oLeft;
}

function getAbsoluteTop(element){
	oTop = element.offsetTop;
	while(element.offsetParent != null){
		oParent = element.offsetParent;
		oTop += oParent.offsetTop;
		element = oParent;
	}
	return oTop;
}