cordova.define("cordova-plugin-alipayment.alipay", function(require, exports, module) {

var exec = require('cordova/exec');
var alipayExport = {};

/**
 * navigator.alipay.pay(orderInfo);
 *
 * function onSuccess() {
 *     console.log("Dismiss dialog success.")
 * }
 *
 *
 * 9000 	订单支付成功
 * 8000 	正在处理中，支付结果未知（有可能已经支付成功），请查询商户订单列表中订单的支付状态
 * 4000 	订单支付失败
 * 5000 	重复请求
 * 6001 	用户中途取消
 * 6002 	网络连接出错
 * 6004 	支付结果未知（有可能已经支付成功），请查询商户订单列表中订单的支付状态
 * 其它 	其它支付错误
 *
 * function onFail(code) {
 *     alert('Failed because: ' + message);
 * }
 */
alipayExport.pay = function (orderInfo, successCallback, errorCallback) {
    exec(successCallback, errorCallback, "AlipayPlugin", "pay", [orderInfo]);
};

module.exports = alipayExport;

});